ZARR(1)

NAME
zarr - migration tool to covnert zarr files from v2 to v3

DESCRIPTION

    Usage: zarr [OPTIONS] COMMAND [ARGS]...

    See available commands below - access help for individual commands with zarr COMMAND --help.

  Options

--verbose
    Enable verbose logging - will print info about metadata files being deleted / saved. [default: no-verbose]

--install-completion
    Install completion for the current shell.

--show-completion
    Show completion for the current shell, to copy it or customize the installation.

--help
    Show this message and exit.

  Commands

migrate
    Migrate all v2 metadata in a zarr hierarchy to v3. This will create a zarr.json file for each level (every group / array). v2 files (.zarray, .zattrs etc.) will be left as-is.

remove-metadata
    Remove all v2 (.zarray, .zattrs, .zgroup, .zmetadata) or v3 (zarr.json) metadata files from the given Zarr. Note - this will remove metadata files at all levels of the hierarchy (every group and array).